commit 399e5b5425af26dc4c7feaf812d6e623152875aa
Merge: 2617a58 19df475
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 24 02:19:56 2026 -0400

    Merge remote-tracking branch 'refs/remotes/org-ai-assisted/ai'

commit 2617a58420a67a3d04b38eddbe6749ab9dd76577
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 16 08:22:59 2026 +0000

    bumped changelog version

commit 8039e629fea4dc08d9e0e107d7d5bfe8df848d51
Merge: ae8d3ea c578702
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 15 12:50:57 2026 -0400

    Merge remote-tracking branch 'org-ai-assisted/master'

commit ae8d3eae904bdc69bd45f20c39ddd7932c6a659e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 15 16:37:44 2026 +0000

    bumped changelog version

commit 80386edbfe16be6ff579b8470c94209197ae9300
Merge: 01f8bde 3fe7a23
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 10 09:33:04 2026 -0400

    Merge remote-tracking branch 'refs/remotes/ArrayBolt3/arraybolt3/trixie'

commit 19df4757f4efdb06d5780cf9f7e92292f00e3e91
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Sat Aug 8 00:46:00 2026 -0400

    ai-review-todo: all pending reviews completed

    ai-review removes this file when nothing is left pending. The coderabbit
    backlog drained, so the entries it tracked are done.

commit d826fbb0f5054277ef8ea54426df0b7d3c803d9b
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Fri Aug 7 14:53:07 2026 -0400

    restore 'set -x' dropped by the strict-mode pass

    The R-010 conversion replaced each script's existing preamble wholesale and did
    not carry 'set -x' across. That is a silent loss of diagnostic output, and for
    several of these it is the only output there is:

    - build-time scripts (hardened-kernel build / download / ci_test, tirdad
      build.sh, initializer-dist chroot-scripts-post.d): the trace IS the build log,
      so a failing invocation and its expanded arguments become unavailable exactly
      when they are needed.
    - boot-time scripts (libvirt-dist, repository-dist-initializer).
    - scripts whose only messages are 'true "INFO: ..."' lines, which produce
      nothing on their own -- removing xtrace silences them completely.
    - test harnesses (tb-updater unit_test, sdwdate-gui fuzzer), where the trace is
      the point.

    It was also inconsistent: initializer-dist's 80_cleanup kept it while its four
    siblings in the same directory lost it.

    Nothing asked for this and no commit described it as intentional, so it is
    restored everywhere it was active.

    Found by codex on initializer-dist. The other 19 files came from auditing the
    whole pass for the same pattern.

    Testing
    -------

    Gate exit 0 in an ISOLATED checkout, all eleven packages.

    Audit: ~/strict-pass-tests/audit-stripped-setx.sh, which compares every file
    changed on an 'ai' branch against org-ai-assisted/master and reports any that
    had 'set -x' and no longer do.

      before:  examined 43 package(s) on branch ai, 342 changed file(s); 23 stripped
      after:   examined 43 package(s) on branch ai, 342 changed file(s);  0 stripped

    The audit prints its own coverage, and fails outright if it examines zero
    packages. Its first version tested '[ -d "$pkg/.git" ]', which is false for a
    submodule -- .git is a FILE there -- so it skipped all 43 and reported nothing
    stripped. A count that can be read is the difference between "clean" and "never
    looked".

commit 99ee9359dca5b7025440c582aa46d105cc9cdbe3
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Fri Aug 7 12:55:36 2026 -0400

    repository-dist: disable globbing on the deliberate split, and forward arguments

    Two findings from an ai-review pass, both pre-existing rather than introduced
    here.

    1. THE DELIBERATE WORD SPLIT ALSO GLOBBED
    ------------------------------------------

      repository-dist ${repository_dist_arguments}

    is unquoted ON PURPOSE -- the options file holds a string that must reach
    repository-dist as separate arguments. But an unquoted expansion is subject to
    PATHNAME EXPANSION as well as splitting, so a glob character in that file is
    replaced by matching filenames from the current directory. Measured, with two
    files named '--exclude=alpha' and '--exclude=beta' present:

      opts='--exclude=*'
      without noglob:  args=2: [--exclude=alpha] [--exclude=beta]
      with noglob:     args=1: [--exclude=*]

    Now wrapped in 'set -o noglob' / 'set +o noglob'. Splitting is wanted here;
    globbing never is.

    The review's own example was WRONG on this point -- it claimed '--ignore=*'
    would expand to a file named 'foo'. A glob only matches names beginning with
    '--ignore='; with 'foo' present nothing expands. The underlying property is
    real, which is why the fix stands, but it took a correctly-named fixture to
    show it.

    Also noted in a comment, NOT fixed: the mechanism cannot express an option
    whose value contains a space, because word splitting does not honour quotes in
    the file. That is inherent to the design, not a defect to patch here.

    2. THE WIZARD WRAPPER DROPPED EVERY ARGUMENT
    ---------------------------------------------

    usr/libexec/repository-dist/repository-dist-wizard called
    /usr/bin/repository-dist-wizard with no '"$@"', so
    'repository-dist-wizard --help' reached the real program with nothing at all.
    Pre-existing; master is identical.

    Testing
    -------

    Gate exit 0 in an ISOLATED checkout.

      10 same, 0 differing

    Forwarding is asserted directly rather than compared, because 'compare' runs
    both variants and they agreed only because BOTH used to drop the arguments.
    Canary: reverting the '"$@"' gives 'FAIL: wizard wrapper DROPPED its
    arguments; got: RAN wizard' with an empty argument list.

    The glob case in the harness is honestly WEAK: pathname expansion depends on
    the working directory the script runs in, which the harness does not control,
    so that case passes on both sides. The property is verified by the direct
    measurement above instead.

commit 98e2654bf5d5bcc8a175a27a3db8d2bdf04aaf70
Merge: dc5261d c578702
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Fri Aug 7 12:32:29 2026 -0400

    Merge org-ai-assisted/master into ai

    The branch was created from a stale local master, so its PR diff showed
    master's newer commits -- including a changelog version bump -- as REMOVALS.
    Merging rather than rebasing, per the no-history-rewrites rule.

commit dc5261d2c3f648ea68af500e17eb8eab10c3fd7d
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Fri Aug 7 11:05:25 2026 -0400

    repository-dist: R-010 strict mode for the 3 standalone scripts

    Files: usr/libexec/repository-dist/{pkexec-test,repository-dist-initializer,
    repository-dist-wizard}.

    No nounset traps: the initializer guards both of its inputs before reading
    them, and the other two are three and six lines. The change is the preamble,
    'set -x' removal, 'cat --' / 'touch --', and one waiver that matters.

    The SC2086 waiver is the point
    -------------------------------

      repository-dist ${repository_dist_arguments}

    is deliberately UNQUOTED. The file holds an option STRING -- for example
    '--repository stable --codename bookworm' -- and splitting it into separate
    arguments is the whole mechanism. Quoting it, which is what a blanket SC2086
    sweep does, would hand repository-dist ONE argument containing spaces and
    silently misconfigure the APT repository.

    pkexec-test is three lines that do nothing on purpose: pkexec is pointed at it
    to check that a policykit prompt appears and succeeds. It gained a comment
    saying so, since a file whose entire body is 'exit 0' invites deletion.

    Testing
    -------

    Gate exit 0 in an ISOLATED checkout.

    New harness at ~/strict-pass-tests/rd-test/. repository-dist is stubbed and its
    state directory is a fake root, so no APT configuration is touched. Eight
    cases: the opts file missing, unreadable, empty and multi-word; the done-marker
    already present; single-word opts; plus the wizard wrapper and pkexec-test.

    The stub records each argument on its own line AND the ARGUMENT COUNT, because
    that count is the only thing that can show whether the options string was split
    or passed whole -- stdout and the exit code are identical either way.

      8 same, 0 differing

    Canary: quoting the expansion, exactly as a blanket SC2086 fix would, gives
    6 same, 2 differing -- 'ARGC 4' becomes 'ARGC 1' at an unchanged exit code of 0.
    That is the misconfiguration this waiver prevents, and without the argument
    count the harness would have called it a pass.

commit 3fe7a23642a1f0b23b07ba4fdd8acc7da947e316
Merge: c849f00 01f8bde
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Aug 7 00:59:13 2026 -0400

    Merge branch 'master' into arraybolt3/trixie

commit c849f009f08781d8f23e14f4074788e098b406f8
Merge: 88af83e 5252ede
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Aug 7 00:55:19 2026 -0400

    Merge branch 'ai' into arraybolt3/trixie

commit c5787024b5b642be4b7d51945bf1fd6a1962ef47
Merge: 01f8bde 5252ede
Author: assisted-by-ai (Bot Account) (Machine Account) <228987186+assisted-by-ai@users.noreply.github.com>
Date:   Sat Aug 1 05:00:48 2026 -0400

    Merge pull request #3 from org-ai-assisted/ai

    CI: add bandit, codeql-actions, secrets-audit scanner workflows

commit 01f8bdef728f8bbae66752b0bff7bd5954a0b3b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 1 08:41:13 2026 +0000

    bumped changelog version

commit 7d228e98703f16bf8c25824922fcd1d8bcb41147
Merge: 88af83e b185f8a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 1 04:23:16 2026 -0400

    Merge remote-tracking branch 'refs/remotes/org-ai-assisted/master'

commit 5252ede6c8f89e43e6504600df639e1e81e3bca5
Author: claude (dev142 b93fb2c6-e15f-4d45-8566-f3ded893b70e) <noreply@anthropic.com>
Date:   Fri Jul 31 16:23:29 2026 -0400

    CI: propagate bandit, codeql-actions, secrets-audit workflows

    Byte-identical propagation from developer-meta-files
    consumer-templates. Closes scanner-coverage gaps:

    - consumer-bandit.yml: Python security lint, universal
      self-discovery (extension + shebang scan), no per-repo config.
    - consumer-codeql-actions.yml: CodeQL 'actions' language --
      workflow-YAML security analysis (script-injection, missing
      permissions, unpinned actions).
    - consumer-secrets-audit.yml: manual-dispatch secrets surface
      audit (presence flags only, values never emitted).

    Managed files -- do not hand-edit; regenerated on the next
    propagation pass.

    ## AI-Assisted

    Co-Authored-By: Claude Opus 4.8 (1M context) <noreply@anthropic.com>

commit b185f8a7b32062cc35959cc1dd98a470e2d7bc06
Merge: 88af83e 2dd2baa
Author: assisted-by-ai (Bot Account) (Machine Account) <228987186+assisted-by-ai@users.noreply.github.com>
Date:   Fri Jul 31 15:51:49 2026 -0400

    Merge pull request #2 from org-ai-assisted/ai

    ci: add file-based CodeQL python lane

commit 2dd2baaeb3c7245930dd0f76a6e5bca0144c46ce
Author: claude (dev142 b93fb2c6-e15f-4d45-8566-f3ded893b70e) <noreply@anthropic.com>
Date:   Fri Jul 31 15:05:56 2026 -0400

    ci: add file-based CodeQL python lane

    Propagate consumer-codeql-python.yml byte-identically from
    developer-meta-files/consumer-templates. repository-dist ships real product Python (APT-sources wizard) that had no python CodeQL
    analysis.

    build-mode none; push/PR/workflow_dispatch triggers. No dm-consumer.yml
    section required (reusable soft-skips an absent section).

    Co-Authored-By: Claude Opus 4.8 (1M context) <noreply@anthropic.com>

commit 88af83e14981d233eb7f08acef4bc20e4b97db7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 8 18:13:22 2026 +0000

    bumped changelog version

commit 0acd3cf91d3d9cb8a4277bac5f6a848bbd6bf118
Merge: 7e185a3 280fa41
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 8 14:05:10 2026 -0400

    Merge remote-tracking branch 'refs/remotes/org-ai-assisted/master'

commit 280fa4134f36bdd2a6b6f6ca6ef62a1bc89db5b7
Merge: 7e185a3 6297185
Author: assisted-by-ai (Bot Account) (Machine Account) <228987186+assisted-by-ai@users.noreply.github.com>
Date:   Wed Jul 8 03:36:04 2026 -0400

    Merge pull request #1 from org-ai-assisted/ai/sq-lint-nonfatal-qemu

    postinst: keep the keyring lint non-fatal under qemu-user emulation

commit 6297185d1ac7dd788452440abedaec78eab21f8e
Author: claude (dev56 7c768585-e4f3-4e54-907f-be83affd0cb1) <noreply@anthropic.com>
Date:   Wed Jul 8 03:28:37 2026 -0400

    postinst: keep the keyring lint non-fatal (qemu-user aarch64 sq panic)

    The 'sq cert lint' sanity test runs under 'set -e', so any non-zero exit
    aborts package configuration. 'sq' panics ("capacity overflow") under
    qemu-user aarch64 emulation, which breaks cross-building arm64 images on a
    non-arm64 host, where this guest postinst runs under qemu-user during image
    assembly. That is a qemu-user bug, fixed upstream in qemu >= 10.2.0 (Debian
    trixie ships qemu 10.0.8), not an sq or repository-dist bug. A keyring lint
    failure should not abort installing the repository configuration in any case,
    so make it best-effort.

    ## AI-Assisted

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>

commit 7e185a334f4c97e66908b5a818c95c0878646506
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 20 22:17:44 2026 +0000

    bumped changelog version

commit 1c24611c5db1478a97c1040a4684b98226784e41
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 20 16:57:06 2026 -0400

    genmkfile uch

commit 74dd42ab988a0afe5905f828a2e04fe327d575a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 11:53:51 2026 +0000

    bumped changelog version

commit b48b79bfd932b470b9d82c1e1eb9b6e3689ff0ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:33:02 2026 -0500

    indent

commit 28328866f3fbca600c03ae2d243801de48daea17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 4 06:30:31 2026 -0500

    lint keyring

commit 6382b5e224d005502be5248d4eb2c19359236441
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 28 14:35:54 2026 +0000

    bumped changelog version

commit 0d670df5df265a4da61437595e8b3bfbbe882c14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 28 09:31:34 2026 -0500

    extend signing key validity to infinite

commit 108e06b9661a3d356263d464f0f32193aeb15896
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 10:34:31 2026 +0000

    bumped changelog version

commit e8a37f23856b881ee191222ea7cf9d3f924e40ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 9 03:54:35 2026 -0500

    cleanup

commit 3bd04fbc49fc149f38dd6aced76e2853ae919ee8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 12:24:45 2025 +0000

    bumped changelog version

commit 4548da59db3ecc9340edf1daef3d7996d0f0d3fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 13 07:21:53 2025 -0500

    output

commit 84a3e4e5e0fa2aa323da58c7c27190e80e327a47
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 07:13:56 2025 +0000

    bumped changelog version

commit c2a279d72e23691a5a1e31f79277c549e47ca0b2
Merge: fee4fdd 9c9feff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 19 02:55:52 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 9c9feff070470b4494520c8a5d16699f6185a04c
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Oct 18 21:42:54 2025 -0500

    Use layouts in repository-dist-wizard rather than manual positioning to prevent future UI issues and allow resizing

commit fee4fdd94053a2a395849cbe6fe5c6afe79191db
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 19 16:16:47 2025 +0000

    bumped changelog version

commit 8046ce755b1c29a6802c9ff8c6de77230688961a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 18 10:08:02 2025 -0400

    fix

commit 2630e5abf38275711a3a6a0cce499f7f076824cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 7 08:05:24 2025 +0000

    bumped changelog version

commit 3fed0a4fb58b7115a9db0736334d7263627f0f9c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 7 03:58:50 2025 -0400

    extend signing key validity

commit 0919b878a13750c4e81d82f6ff20eca702394158
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 5 11:45:34 2025 +0000

    bumped changelog version

commit 7b6107d9376d6958d525d74c92e63c7144809782
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 5 07:45:18 2025 -0400

    fix

commit e4791ca7edebaf0f182f80b8d67ebd5708cf9810
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 5 11:37:42 2025 +0000

    bumped changelog version

commit 27cadc91be466d56101b8ef3679b2f985209da39
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 5 07:36:12 2025 -0400

    no longer unneccessarily use dh_python

commit 5c2e31b89b0cb40275d93fc187216b2fda8ec833
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 2 15:23:58 2025 +0000

    bumped changelog version

commit c9e66fd9ee63d9c4877d8c7557951ac69fff2df6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 09:14:31 2025 +0000

    bumped changelog version

commit 580818509e6319dbc90c8c844a458e29fd7815bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 05:14:30 2025 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 1fc601e41fd598b4ef4551cf354f8fbb9a95b2c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 09:08:41 2025 -0400

    Check if /etc/apt/sources.list.d/derivative.list exists before deletion to avoid repetitive verbose deletion message.

commit 5794130e3684c79e36e61f15dbf5b0f11205b865
Merge: 2ade822 9301734
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 09:06:23 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 2ade822c1d81bc84839511bdfb2534ab8cf8ef98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:57:28 2025 -0400

    bumped Standards-Version

commit 3ad68b1b9e38e3f6de388be373428abb97519a9a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:25:35 2025 -0400

    readme

commit 93017342d6165b20c21e9b90540e117c688df50d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Aug 10 20:06:01 2025 -0500

    Switch to using deb822 sources

commit fcf8b1b8d0668b165520feac5ff0ba35e024d7cd
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Aug 5 22:58:05 2025 -0500

    Port to Trixie.

commit 54c51744f86abb1c9f990037c6e2ded09c39ca8a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 06:40:42 2025 +0000

    bumped changelog version

commit 5d2c9412c2086fea26566c67f2e00a3006c642c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 02:35:14 2025 -0400

    python -su

commit 340a283043d50a1865dd66369509cdc95d6c0d29
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 04:16:56 2025 +0000

    bumped changelog version

commit 3f93fee0f1b0743aa1668c1cc0d3a722729edbd4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 00:15:36 2025 -0400

    output

commit dfe8c643e0ed59d1763d3f6e2ca445adf0bdc587
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 00:14:57 2025 -0400

    output

commit 09336acd95448be05f1a949b76c9e1c96e727bab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 00:14:24 2025 -0400

    output

commit b68a0ef5d278a796a3ae5c9abb1e06534f01171c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 00:12:47 2025 -0400

    refactoring

commit 48f0e823fd6c5d22b80ec450952f278bdc1ec052
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 00:12:24 2025 -0400

    minor

commit de642901c93473b1cb899faee7d498f92f5e4373
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 00:11:33 2025 -0400

    output

commit 44d7fab4a7d5164c9e88b6071d3703d47efb403e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 00:10:44 2025 -0400

    refactoring

commit 85f81f4d1eae9f3dacd1154354b2d0ab9346fea4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 00:10:18 2025 -0400

    output

commit 5539a25a87908f7ea5668351b3c04cecdb948f10
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 00:08:48 2025 -0400

    output repository-dist-wizard error messages also on console in case GUI does not work (such as when starting it as root by mistake)

commit 64fa960534055faf0e1ecea62d8b3300e2ede859
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 08:19:13 2025 +0000

    bumped changelog version

commit c409d2e056a801fb12682f5dc24575b7ae3a6e16
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 02:39:00 2025 -0400

    improve pkexec test

commit 624157352463fa4665bff0cc3c4ad4afeb9fdd67
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 02:35:39 2025 -0400

    refactoring

commit e4abdfa0d882a4b1144cbbfe633ccc69572ed6ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 02:33:06 2025 -0400

    improve pkexec test

commit fe0c9213cfb449b5f95036e39295c92aa9be793b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 02:14:29 2025 -0400

    use full path

commit dd4b7b7e8b507847d30ad52865fae8c39afbd8f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 00:47:06 2025 -0400

    refactoring

commit adb4a1d97cc8288c3e1213877fa935049517c6b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 00:35:15 2025 -0400

    increase pkexec timeout

commit 3035fa80789e2779dc6f73c5ef10ba1a1605fe79
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 00:34:45 2025 -0400

    code simplification

commit c7f7c432e5142b2a3466bfb2482eee1e92392ea6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 10:28:26 2025 +0000

    bumped changelog version

commit c8919e16d9fc30ca34ff9e7d3cbd2e5c0341c51b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 06:27:42 2025 -0400

    comment

commit 4a048938b644efb8e4c3f2011b6ee9397c685a65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 06:25:35 2025 -0400

    .

commit 25d5dd43b92c06b6d9a7a67c6bc9170c461662d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 06:24:54 2025 -0400

    output

commit db0424cf158597f6ff82d9fbed84d2b2502ec769
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 06:21:13 2025 -0400

    check if pkexec is reachable
    (when using user-sysmaint-split, it will be unreachable outside of sysmaint mode)

commit beaadb635bfb95d7d4c0480eb9836bde8fe1673f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 06:16:52 2025 -0400

    check if pkexec is reachable

commit 37dabb696a611a02ba6a0fc7a63e62b4530ec68c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 05:50:47 2025 -0400

    check if pkexec is functional

commit 27629f2cd0b2356228bddae57d23b52cbb87ef61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 05:22:21 2025 -0400

    refactoring

commit 11f7d8993ec54de0e83671c186f218e2093d36a7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 05:19:43 2025 -0400

    fix

commit 41f812fdcea7489cc4a06f35a5ba6785db306a3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 05:18:38 2025 -0400

    fix

commit 8e8a18e5135b3676b69f4c6224e35fb20b30a7f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 05:10:43 2025 -0400

    fix

commit 739c8e5d9f059fc6f8e915741f70bf471431a124
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 24 05:10:00 2025 -0400

    fix

commit 18266e066a7a40c6d28ac1ed235be866f148b99e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 28 14:45:11 2025 +0000

    bumped changelog version

commit 06338e1fdaae07c115b8fb9edb163f71e58dd89a
Merge: ccd84b4 76027d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 28 09:09:39 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sysmaint'

commit 76027d048a7f9ebd56497da815e808f07fbc0334
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Mar 27 21:40:27 2025 -0500

    Ensure that if user boots into sysmaint mode as first boot, derivative.list is still generated

commit ccd84b4946d4875b6cd675e9d0f6a9428d578b9c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 14 08:29:01 2025 +0000

    bumped changelog version

commit 1de7351d2bb835f5a4cb4baf08395079ab65e803
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:43:31 2025 -0400

    sanity test

commit b27c43b031a361e0670647a20ceee4f00b54cbb4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:41:31 2025 -0400

    local

commit 62ef4a1fd36342aedbd36779681212af8ab4bd62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:40:31 2025 -0400

    long option names

commit 97bab34c23d37929b07ff9a38a5ccad25d532d2a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:38:39 2025 -0400

    end of options

commit 9b35c1987a84c9587e1d441c0b443497d4a53a84
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:38:11 2025 -0400

    printf

commit 230ad98fa180e6cf7df9b732df5f9d88e06b83c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:32:18 2025 -0400

    output

commit d52dacd25dbd85215b46bdbd390e52e0b66285d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:30:54 2025 -0400

    colors

commit c88fd63f1a40f5709344e56bb6dcf791f565a510
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:23:57 2025 -0400

    colors

commit a90dd72bd0a7dc1894bf9ff9060c84db1bcc06ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:13:58 2025 -0400

    output

commit 43c90a1d9b28763b2319ba36c42bc504bf5ef921
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:13:24 2025 -0400

    output

commit 171b2b1c5b294d6b3f5d800d11da17f629ada0a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:12:40 2025 -0400

    fix

commit 7d3f4491f8a17c374419afc043fead7b8c1b7172
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:12:02 2025 -0400

    cleanup

commit b022cea361ae2d65bdfd069b03e3a9d7e95ac4ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 07:11:00 2025 -0400

    port to log function

commit 0514517df8e542d23d3125938f4874f05b3f61a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 06:57:43 2025 -0400

    colors

commit 3ec20d3fe25888de3246d16f551a6899de876789
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 13 06:44:02 2025 -0400

    source /usr/libexec/helper-scripts/get_colors.sh

commit e9ab3f9313d280b4124eccdd622a035c5c036964
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 8 14:45:29 2025 +0000

    bumped changelog version

commit 0613e58cb215267e43839c2d7ae29050d55a35ad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 8 09:41:08 2025 -0500

    fix

commit bcc7144c883d04494c2fe784a9ff1eaac3fb9117
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 07:48:55 2025 +0000

    bumped changelog version

commit 2738ac987283af75da6fc6cc86e3b6336d3136c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 02:48:37 2025 -0500

    genmkfile manpages

commit 6152773b52e5b63bb5f0a3b1b4c87377c427aa4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 02:48:02 2025 -0500

    output

commit 3759ab64470c6f6df923f73cc1a341aca5031fb4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 02:45:46 2025 -0500

    `Depends: moreutils` (for `sponge`)

commit 3272e5bf8ef730a0e008534393aacbed65175f74
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 02:44:55 2025 -0500

    sponge

commit f4e60bb600a64ae5314292204f5ce526ca466a96
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 02:44:10 2025 -0500

    comments

commit d7ab4aa3c3bec3d1238436664f6ac72e9787c7ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 02:43:09 2025 -0500

    comments

commit 790b56fa4a5981d84cf7863194fe20ce520e29f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 01:09:55 2025 -0500

    fix

commit 38ab7be40c574298c84cfd64d097e8995e9388ac
Merge: e086eec 604860f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 01:07:01 2025 -0500

    Merge remote-tracking branch 'github-kicksecure/master'

commit 604860f74fd28ec80e997653a0dce1cbebdbb5f7
Merge: e086eec f9506d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 7 01:01:29 2025 -0500

    Merge pull request #3 from ben-grande/help

    Improve help message

commit f9506d6551229fc4ef6f57ce824c7897ba0e9e76
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Thu Mar 6 17:42:00 2025 +0100

    Improve help message

commit e086eecb9df8c261213c114d68ddebb873211de6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 16:27:18 2025 +0000

    bumped changelog version

commit 0e3cdf5d011587603a3550ae001e5676bd4219aa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 11:12:15 2025 -0500

    copyright

commit 5129fe151f5b68d4f2b8da4a4091b64c25c3706f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 18:40:24 2024 +0000

    bumped changelog version

commit 1584e3592f1beeb7eea8a703b2c265c58955bfbd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 13:26:20 2024 -0500

    copyright

commit eb4ae6d5d628541b3df467c04e3dc0d9731154fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 15 10:43:35 2024 +0000

    bumped changelog version

commit 2cc7959ea28812c84583abcb53e37f5a0f36a41d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 15 05:41:53 2024 -0500

    refactor repository-dist-initializer

commit ba332499ef2aa9fbaf2f2fa89b336e63686fc7d0
Merge: 6b721d1 8af5813
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 15 04:57:18 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/deb-fix'

commit 8af581399b72106e196651232e104856dd2b6730
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 14 19:29:17 2024 -0600

    Control creation of derivative.list with a systemd unit and config file

commit 6b721d1312586cdcd039ca548da16a176d00894d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 12 04:57:20 2024 +0000

    bumped changelog version

commit ab48a315362388738dfd295461f505a130d77985
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 11 06:02:14 2024 -0400

    change icon

commit edcee1c28e92801c1b79b5fb0f73c2aa4f4a9b88
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 8 17:40:45 2024 +0000

    bumped changelog version

commit d04c7d507f051df80cfa03f27f288541ca717ba9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 8 13:14:53 2024 -0400

    root check

commit 60c6ade2a998c217e6a12ba8cbe6263ee0407e05
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 27 14:42:28 2024 +0000

    bumped changelog version

commit 4952ccdc53a4827a08da252ac353a401adebd56e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 27 10:20:34 2024 -0400

    chmod +x

commit 2d829dd95bbeea09e69b21f4a6256393ec36674f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 27 10:18:01 2024 -0400

    remove duplication

    already configured in DERIVATIVE_APT_REPOSITORY_OPTS

commit bcc5cbaf0cde15417911098df05a662a22bf6859
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 27 14:09:35 2024 +0000

    bumped changelog version

commit a4154a3e100eb24b0c20792c92236861971b5c95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 27 10:08:30 2024 -0400

    output

commit 1ae3ed317a29e8b140d32b0202394c020a6b7f7c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 27 10:06:32 2024 -0400

    output

commit 4553fa7fa960d41e80e58ab2a650a99c92fcd1b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 27 10:04:50 2024 -0400

    comment

commit 697bb39b5b221e2a547b24603ea383eac73684d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 27 10:04:26 2024 -0400

    output

commit adbc8be4a56ec8153ba176937806d3aa234fac18
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 27 10:01:54 2024 -0400

    fix

commit dc93119d7ed3d997d4144bc58697b208dbd60cb0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 4 08:33:40 2024 +0000

    bumped changelog version

commit c73298a291e199638b822dc2303470646d263020
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 4 04:32:56 2024 -0400

    lintian

commit 792e9a4dded68ef51f94e4d5148c3456c58706c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 4 08:11:25 2024 +0000

    bumped changelog version

commit c03d32cee81c9d250554eaa0435984e71ed52b09
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 4 04:10:32 2024 -0400

    rename desktop file to avoid file clash during upgrade

    fixes https://github.com/Whonix/updates-status/issues/125

commit 343d11f76f5e7c410f184b72efb95fe8b59bdd54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 2 09:48:34 2024 +0000

    bumped changelog version

commit 327962bd30399fa38bac9f91250be3243f3081f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 2 05:47:27 2024 -0400

    comments

commit 98023039faeccaa0a711e90d8bc5a97b9bd39b9d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 2 05:45:44 2024 -0400

    move `.desktop` file from `repository-dist` to `repository-dist-wizard`

commit e70bdd5e224ea392ec043def82df93d06798f508
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 18 15:09:42 2024 +0000

    bumped changelog version

commit a6c62ee7968318aae2e0bab688ea8a294bfc536d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 18 11:09:19 2024 -0400

    improve error message in case of missing dependencies

commit 411e361182dd4261a62be0a7d63f3243a1477d7e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 30 00:41:21 2023 +0000

    bumped changelog version

commit d007ddc1327aed9248b4911c6b00cc62b0c3fbed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 29 19:36:26 2023 -0500

    remove no longer needed dependency on lxqt-sudo

commit 60f8840eee043e0322c26becb482fd43efd98a0b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 29 19:35:46 2023 -0500

    wrap-and-sort

commit 0990358c8d926e5b4a246cf47b5c45723e03016e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 29 19:35:28 2023 -0500

    Depends: pkexec

commit 9d9933ac45394a8c5eff7079465a03e833503005
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:21:10 2023 +0000

    bumped changelog version

commit e150e68459b6c3487461d0e01e3305791d32f409
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 13:41:31 2023 -0500

    change license to AGPL-3+

    https://forums.whonix.org/t/license-change-to-agplv3/17455

commit facb6f8ba1814e942a687448535ff3357c0b9015
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 00:34:30 2023 -0400

    bumped changelog version

commit 7ab6f8d898f3812bb9bf53dd3a22923f8c008c98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 00:28:37 2023 -0400

    refactoring

commit 8be19b6d65ad71a8500682eac716a2d749e1af86
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 13:38:18 2023 -0400

    bumped changelog version

commit 03f35b94e701aff0fcc171c69ea4b8b5585539f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 13:36:11 2023 -0400

    correct signal exit codes

commit 7fef29e58d834a98c328b3fbb507603ff2405d1c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 13:10:42 2023 -0400

    bumped changelog version

commit 54ef72d26058ce05bd0fd9b8245aedc2cd43ba40
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 12:14:31 2023 -0400

    cleanup

commit 349bef1a94ef5ed443ccb1c9167d26fa96ae6295
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 08:26:59 2023 -0400

    bumped changelog version

commit 011fa1729027c5f9195f900c86d674ffdf73918e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 08:26:48 2023 -0400

    wayland

commit d17f0f0ac2b56fcea80ac07756deca4c494c322c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 08:23:44 2023 -0400

    bumped changelog version

commit a5499abd88eafb90f576c26435161ae0059215e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 08:23:34 2023 -0400

    wayland

commit 5310dd1d4fa29f0edfcddfe43ed51e2eddbab6e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:31:02 2023 -0400

    bumped changelog version

commit 631ae7de3de1a10f72d7e478df8648b662dc8e18
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:25:00 2023 -0400

    wayland

commit 3afda30e0721916cc751408a8d8c368ad37e094b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:24:10 2023 -0400

    cleanup

commit 500dd0760d3384b192c309eea58e0b1a53f0c3de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:21:56 2023 -0400

    minor

commit b8c70e8fb408055e8625179e89158078f04db51c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:21:36 2023 -0400

    wayland

commit a38ada515f95ee03f032163d4d78dd66759e5e8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:17:48 2023 -0400

    avoid python shell=True

commit c94ae4576d78c80dc3b433ff320d2ab316992cff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:08:56 2023 -0400

    typo

commit bf3e67903c2df1274e3a9728bd5591e35d078188
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:03:47 2023 -0400

    allow termination through ctrl + c (signal sigterm)

commit d2dace0b1332c3bba47c972e1ae02a820b5866e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 05:54:04 2023 -0400

    wayland

commit c12a5b2d55909c91d675ff6c709f508f87488210
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 04:33:01 2023 -0400

    wayland

commit 13406f9832c076f56654bfb276e8133a772120f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:47:34 2023 -0400

    bumped changelog version

commit 0f4aca8e1baedcf3d31d4dd516230927153ee441
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:18:55 2023 -0400

    Kicksecure

commit 1ac371d26b98836a9c754816b099736255b74810
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:07:22 2023 -0400

    Kicksecure

commit 6565e221dcd7a1deaa947e11aebc674d162c5202
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:35:27 2023 +0000

    bumped changelog version

commit bbc6a909e8225b2c24c3f90e3c298599db7245eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:30 2023 +0000

    bookworm

commit 6d3cdfc2ff11e88b6634d7c7857045f8167a043c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:08:05 2023 +0000

    bumped changelog version

commit bcd0221b8076f2810c5f1f5db34b2b18991bc017
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:04 2023 +0000

    readme

commit 4d1f36e0233b52626acebceb6a6009506dc415a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:04:00 2023 +0000

    bumped changelog version

commit 64ed58427b45964f41c5bcdd7fbb1bdda715b823
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:46 2023 +0000

    copyright

commit 9d76da86d6202260c11aae18c5a2fc5f4a3cd234
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:00:53 2023 +0000

    bumped changelog version

commit 198370c5385e696ef5bee199593344eee3c82503
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:31 2023 +0000

    Standards-Version: 4.6.1.0

commit 82a6aec89d1923b8e5ee52902b2a5c9d6a880b4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:24:27 2023 +0000

    bumped changelog version

commit 80fb93232c69f697c3037dee4c857ea00ef5327a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:00 2023 +0000

    update copyright year

commit ec0ad9cf6647985de025dab7faedfbc7328b67bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:28:09 2023 +0000

    bookworm

commit 225a42e32e442f5313ad51c18745490f4005c62d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 28 11:49:17 2022 -0400

    bumped changelog version

commit a766624cb33165366a515773739c0f819d52896a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 28 09:36:28 2022 -0400

    genmkfile manpages

commit d814f1ca2b5ba81a06f47dc070f11f9c776c65cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 28 09:35:55 2022 -0400

    man page: document `--transport`

    plain-tls, plain-tls-tor, onion or onion-tls

commit 4fb9beedcc7ebfa211b9bba767ab208af9c18244
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 19 07:34:52 2022 -0400

    bumped changelog version

commit aba33b86bcc55ab86c73bc35376aaf10573e9e2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 18 10:36:47 2022 -0400

    output

commit a6c4fea389705f4d6a6fff09db6b7913d6112643
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 11:23:47 2022 -0400

    bumped changelog version

commit 5d92903646de22a37315edc6c3f6252d3d1a84fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 11:19:22 2022 -0400

    refactoring

commit 72446d0db8fc992b0c4ded5036f76cca8b6cd1b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 11:18:22 2022 -0400

    minor

commit 5ea94ec474fd00b885fd2e0df51672db5d39f3c4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 11:17:04 2022 -0400

    comment

commit 03e4fc33fae83cc2bfe347d44f985d0207baeaaa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 11:16:05 2022 -0400

    minor

commit 2f3aad67ef676283bf4d6f27234b504c49f401a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 11:14:59 2022 -0400

    remove deprecated legacy parameter `--refresh-keys`

commit a4ddd9654f2aeb8a8790198e8b2afee4d1bddc4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 11:13:38 2022 -0400

    comment

commit cf61cd9d87af5754731b940769758c333887fccf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 11:09:41 2022 -0400

    copyright

commit 78c91c5cd9cf5e54026ce3aa20509bd5886e9a5b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 11:08:02 2022 -0400

    fix, restore usage information if no parameters are given

commit fae6814168b530d54aed3a6bba597bc5a49d73bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 10:54:34 2022 -0400

    default to plain-tls-tor

    https://forums.whonix.org/t/tool-to-onionize-all-apt-sources/13367/28

commit 87ee01124ef32dd6af475598a191fd4e80a2fb12
Merge: 26608b6 2793512
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 10:47:36 2022 -0400

    Merge remote-tracking branch 'nyxnor/transport'

commit 26608b66d77f93e5f3c79d1ef4ff8deb374d0162
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:14 2022 -0400

    bumped changelog version

commit 7715f3f6c47787f861382309c19d44de9ef29c6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:09 2022 -0400

    readme

commit 0de1939c2627a0c3779569dc597f832fb8024687
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:37 2022 -0400

    copyright

commit 827eb900beec37411212d756a14aacfacd496ee7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:15 2022 -0400

    readme

commit 2793512f71e10f9ea46ba5f36f0bfe955e6a877d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Mar 28 22:51:29 2022 +0000

    single file to be changed

commit faca24a2ed405b005b4e23c9a700badfc966b44f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Mar 28 18:48:17 2022 +0000

    whonix double repo parse

    Signed-off-by: nyxnor <nyxnor@protonmail.com>

commit 123fb6d6551ba41bff8db33a49c5b0c5c6cc25f4
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Mar 28 11:36:57 2022 +0000

    autodetect OS; block kicksecure from enabling whonix repo

    Signed-off-by: nyxnor <nyxnor@protonmail.com>

commit 0cf8bf721603d06cfb923526b3284c713032b687
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sat Mar 26 19:45:13 2022 +0000

    add transports

commit 7a8a48175718d72c99a33a4c099f93d8f223fe55
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 09:52:16 2022 -0400

    rename

commit 42f4d96c07dcee76cf18a93145d21680926fb73d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:32 2021 -0500

    readme

commit 874607c584f2de835f3fc0ea3efed43eca5a2ce3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 11:54:24 2021 -0400

    bumped changelog version

commit 35a13f38ab1444c9d508f6f7a8aaa9522ee8f13a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:00:34 2021 -0400

    description

commit 51b21e41498c11cab773042a94fd03547869b90c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:50:05 2021 -0400

    manpage

commit b0591b2f812185e284a8ec88de75f9e62fb77f08
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:49:53 2021 -0400

    manpage

commit e9b96a90fd19dbac108a3c2cc755a942f239d5ab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:48:52 2021 -0400

    comment

commit 0840872a1f22384b61bb2c8a324ed3943fc22d45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:48:05 2021 -0400

    cleanup

commit d3b7a4284aefd17d9173c65a95f0d6cb037e07e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:46:40 2021 -0400

    legacy

commit eb569b6225a67d78bee385c9d30981cdf7aeb91a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:37:49 2021 -0400

    legacy: upgrade existing `/etc/apt/sources.list.d/derivative.list`

    to use `[signed-by=/usr/share/keyrings/derivative.asc]`

commit 73ccff0d64314490703eda5c376e04129fd6170e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:28:07 2021 -0400

    `Depends: python3` -> `Depends: python3:any`

commit 36c40c9a5e3b4ce36714bb7d8e601f8205b90244
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:23:33 2021 -0400

    cleanup

commit 3781fc5bd5e8396675b304e309427cc02e752a57
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:22:40 2021 -0400

    remove no loner required `Depends: gnupg`

commit de2c03eb1e97ef4cc51979bbf0a51ac9d35879cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:22:07 2021 -0400

    Depends: helper-scripts

commit d25317d734052fee49bef8cd3d2e11161872e26f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:19:31 2021 -0400

    cleanup, remove legacy transitional package whonix-repository

commit 4afbd86c840c81fb64fdd27f5676accf854cad20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:17:35 2021 -0400

    renamed: usr/share/keyrings/derivative-distribution-signing-key.asc -> usr/share/keyrings/derivative.asc
    renamed: usr/share/keyrings/derivative-distribution-signify-key.pub -> usr/share/keyrings/derivative.pub

commit c7836751a6cc25cab5888815011df5a1d493e75c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:15:33 2021 -0400

    delete legacy `/etc/apt/trusted.gpg.d/derivative.asc`

    because now using `signed-by` and `/usr/share/keyrings/derivative.asc`

commit e3e2db96441401015c4fa61f423b43a240390b97
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 17:10:36 2021 -0400

    port to APT sources.list `signed-by`

commit d3f117937ecfd89d0a5159dd35e5813bd99d9aca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:57:35 2021 -0400

    renamed: usr/share/repository-dist/derivative-distribution-signing-key.asc -> usr/share/keyrings/derivative-distribution-signing-key.asc (gpg)

    renamed: usr/share/repository-dist/derivative-distribution-signify-key.pub -> usr/share/keyrings/derivative-distribution-signify-key.pub (signify)

commit f113c374a5e36f25c98441d166d34863fdd9268a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:56:11 2021 -0400

    use APT sources.list `signed-by`

    https://forums.whonix.org/t/apt-repository-signing-keys-per-apt-sources-list-signed-by/12302

commit 1fd8cd55237f95e6413c37c19cbff0471bab460a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:37 2021 -0400

    readme

commit 75e7916ffd2f2ffa1e9c27a8411605b4da2a34fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 21 16:44:04 2021 -0400

    bumped changelog version

commit d01e9cc3724ee6e65760dddac40651ba8a5be5f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 21 07:06:57 2021 -0400

    legacy

commit 5e35d24e894c7a5f6be6fefad631bc520b96080d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 21 07:05:03 2021 -0400

    output

commit 4b7228db4a038d36315880cf6878dd713a0bcb37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 21 07:01:26 2021 -0400

    required change `/etc/apt/trusted.gpg.d/derivative.gpg` -> `/etc/apt/trusted.gpg.d/derivative.asc`

commit 3a1764721f24c3d2cb681a9f49da2f11e51c9f12
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 21 06:36:19 2021 -0400

    use ascii armored gpg key;
    code simplification

    since APT folder `/etc/apt/trusted.gpg.d` support ascii armored gpg keys since
    Debian `bullseye`

commit 9f91e2287ce2de752755eb475fac2a88e1d6caca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 17:04:46 2021 -0400

    bumped changelog version

commit 08de96e54385678bc3db5b47c26721dfa14711bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 16:51:57 2021 -0400

    gnupg2 (dummy transitional package) -> gnupg

commit 21e60e685ed60bdbdebeeb3860f9c7787c87d88d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 17:00:34 2021 -0400

    bumped changelog version

commit 33c7e64219f876300e5f047938720a84c90d9fd4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 12:29:52 2021 -0400

    lintian FHS

commit 710be311a8cfc89d8b5df8674364662c34519326
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:06:18 2021 -0400

    chmod -x usr/lib/python3/dist-packages/repository_dist_wizard/repository_dist_wizard.py

    lintian FHS

commit 68794ba0b1a9a532a92a5aa937aee6c8d981ddde
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:55 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit f3ff1e6eec5ff7b3a17c726815a108306f927bd5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:34 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 696ed25a5ab7fbb5a79884b4b19879ab330a7916
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:43:43 2021 -0400

    man page

commit 3fd6fca63d222cb3fa6ee2360dba1dfd6dcdbf88
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:24 2021 -0400

    bullseye

commit eefa663b1416c7a8b727bd845884b14d20f01849
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:36:15 2021 -0400

    bullseye

commit 9cbc523176f383be3ad45b9eae8ef17c65489868
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:38 2021 -0400

    readme

commit 6b10bb772cf14e5767eb6f9bacb1b3db01f5e348
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 7 05:40:30 2021 -0400

    bumped changelog version

commit 935f02c3899149bd0c3063a6aaf9bb24f97e6a4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 7 05:40:29 2021 -0400

    readme

commit e1faf410205132c3fa19800febe44f5c8e169998
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 7 05:34:16 2021 -0400

    reduce dependencies for CLI version

    split dependencies into repository-dist (CLI) and repository-dist-wizard (GUI)

    https://forums.whonix.org/t/kicksecure-minimal-version/11613

commit e4fa263b49f73efbf176c1f5ff7e52a1a867597f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 18 03:16:09 2021 -0400

    bumped changelog version

commit b369b4417083d9f270898d40531c6f04bd91d88b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 18 02:21:27 2021 -0400

    same gpg signing key with new e-mail addresses

commit e9f35adaad5d5a1407730cd7019b5e445c99bc92
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 23 07:47:11 2021 -0400

    bumped changelog version

commit 33cb30e42d07244f1aca08a70105ee8ee58a6b7a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 23 07:44:20 2021 -0400

    whonix-repository -> repository-dist legacy migration

commit 04a8d77f5ec8f02774e3695eef8063c4307f8f98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 23 07:37:57 2021 -0400

    refactoring

commit 8ff1f35de1716d5198191b764ff96c9c3c9c1015
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 10:26:13 2021 -0400

    bumped changelog version

commit d50df15dc39164d5752a4506e547a7f516ad9a54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 10:24:25 2021 -0400

    rename variable sources_list_target_build_remote_derivative to sources_list_file_derivative

    to avoid conflict with Whonix / Kicksecure build script

commit 5ab47f680ca44504ad9fa00aff2c2c3fa1ca8549
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 10:23:14 2021 -0400

    comment

commit f41c1d5c161bfeb770b7409f3605b9672b8a9187
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:07:21 2021 -0400

    bumped changelog version

commit 1298347e387474d60c23d67ae63cab06e0e7dba4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:21 2021 -0400

    copyright

commit 48e3f4ac4926c3049de9253b518627f130c879d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:27:38 2021 -0400

    bumped changelog version

commit 4047f3a43d693a7c08b8fa66941a83d4d9a8523c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:19 2021 -0400

    copyright

commit ad6997d36dd2637efa806f7ed5879ee3956fd30b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 16:49:35 2021 -0500

    bumped changelog version

commit bb96ce3e95b4322b33419313093852ad55e5a180
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 16:47:07 2021 -0500

    comment

commit 65ae4d5f877d832903b181ab6e1f881623452410
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 16:45:46 2021 -0500

    improvement

commit 0f82bc35f549038113fcb44a8ef0f89c592dcdaa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 14:33:04 2021 -0500

    bumped changelog version

commit 17f234bff09ff66fd8600cd650781657336cf81b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 14:33:03 2021 -0500

    readme

commit 0958822284faa19469c4cc5a271dc2e9ea68a76e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 14:15:37 2021 -0500

    fix

commit 8275310ef82d123366ba6db76f1301f10bec81c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 14:07:07 2021 -0500

    fix

commit a81f8ad4268db013b9c229b19e2eb1bb8e8ffcb0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 14:04:18 2021 -0500

    Revert "cleanup"

    This reverts commit 16597522ae72d8cd2dbfbaf1591835c0998c7cc0.

commit aebff4b084c343f136147d823da5b3a5305b7192
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:54:41 2021 -0500

    fix

commit 292be2eca246328198b9ab0aa19747c74568f089
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:53:11 2021 -0500

    output

commit a21a28444c18d7153aa36877fdbfb3a194534646
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:52:28 2021 -0500

    output

commit b7320fc45e576e91463c4458d8f731c104433de6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:51:10 2021 -0500

    description

commit da731be8c7cbb32abc883ce95060935ad5508c15
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:49:52 2021 -0500

    output

commit efbce4f976f95cdd845fa8e27c0170f45f225931
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:46:55 2021 -0500

    sanity test

commit 2bccf5a640ead88422f07c524b279608eb621bfc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:46:04 2021 -0500

    fix

commit 767ce95a46750966f881b205f1b542dcfa0ef02f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:45:37 2021 -0500

    sanity test

commit 774d47a3d03e4a154613a8bfceb7d341b21190f7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:44:03 2021 -0500

    --verbose

commit 16597522ae72d8cd2dbfbaf1591835c0998c7cc0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:43:50 2021 -0500

    cleanup

commit e1f28ff20ca76383bd5b607be9ccd2b454cac50c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:43:17 2021 -0500

    stop using apt-key since deprecated

    http://forums.whonix.org/t/apt-2-2-changes/11240/1

commit 40d52e333d400b3247f4e7f995e3af7f50b6990c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 07:07:39 2021 -0500

    bumped changelog version

commit 454f818e020730507316dfb97afc84d93c169597
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 07:07:38 2021 -0500

    readme

commit de1cdcbc4e6ca45d2b6c08340b759fcede915638
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 2 02:09:21 2021 -0500

    add signify public key usr/share/repository-dist/derivative-distribution-signify-key.pub

commit ed35b64760a80c01deccad995fd020303818e2d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 5 04:42:54 2021 -0500

    bumped changelog version

commit d9cc1a8254de666e10c6d65c1c0f1fcae015bb49
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 5 02:33:47 2021 -0500

    fix truncated text

commit 97f7fa83e5a96ceb3e3312e39858b44f38bcf8bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 5 02:29:56 2021 -0500

    output

commit 2f56e4ad60f978502424a8cd40dd49441fcd125b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 5 02:25:11 2021 -0500

    fix

commit 4dc33bab0f5604bf783754bba2248b9c78e47284
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 11:51:49 2021 -0500

    bumped changelog version

commit 489d8f45c9ec4e0658413134fb76dc06c4f7c6f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 11:51:48 2021 -0500

    readme

commit 849a1b24009510adfedd33e1fd50e2126879b118
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 11:46:55 2021 -0500

    migration whonix-repository -> repository-dist

    mv --verbose /etc/apt/sources.list.d/whonix.list /etc/apt/sources.list.d/derivative.list
    mv --verbose /etc/apt/trusted.gpg.d/whonix.gpg /etc/apt/trusted.gpg.d/derivative.gpg

commit 410bb8526918843196f6e9ef1410b070955b233a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 10:31:33 2021 -0500

    dist-repository

commit e0cd514ee46c76b6d92f0be78c0cd5b68c02ada4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 10:25:42 2021 -0500

    comment

commit 9f63ad6e1fcd5fa2b332827dbedd8a8f71f84b01
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 10:23:38 2021 -0500

    comment

commit b19699f3d9504b4eba150674f9f160385f4b5a6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 10:22:29 2021 -0500

    output

commit 0a3f2e04303a49428dc403dd2b61680423376c7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 10:21:08 2021 -0500

    comment

commit 698eb2dfe6dc90dac72b497d0ee1d2568b7f5d16
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 10:20:17 2021 -0500

    output

commit 78f5e726eeabad84cc0c5129313710bde78832ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 10:18:58 2021 -0500

    output

commit d5a5220864cef516c0571580940e002bf651a440
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 10:13:58 2021 -0500

    WHONIX_APT_REPOSITORY_OPTS -> DERIVATIVE_APT_REPOSITORY_OPTS

commit 4a520e6a305a04acbbb6a4c7225e405986a27053
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:52:39 2021 -0500

    repository-dist

commit 546094af5de579102125b07fa891672dd43d6f6f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:46:55 2021 -0500

    whonix-repository -> repository-dist

commit 9ef6b3ac65e2c5247a4c4c2a50991eda1f70ade0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:46:17 2021 -0500

    man pages

commit 006530104c0bd21f491f7ae2533bdda5c2be7bb2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:37:34 2021 -0500

    description

commit 2f6e04fc8771fdab456a54bc1d42dc0b60c0cada
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:35:49 2021 -0500

    update link

commit 31f3228c2492ed577365ed7779e0c8d242f6f6a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:34:08 2021 -0500

    man page

commit 8f9280ec766e11eade7404ddedd23b2f0fcc4090
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:32:45 2021 -0500

    genmkfile manpages

commit 5394ab2491d67ebd53e78748a60e5769aabc4928
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:31:54 2021 -0500

    repository-dist

commit 664196226abc08649ca4acba2731fe663a55b614
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:29:08 2021 -0500

    fix

commit 9923c03e01951f04e9d5e63fc735c52cf14461ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:27:09 2021 -0500

    whonix-repository -> repository-dist

commit c260d9d1e9672d613f0ef5e417e5ddf83804f46a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:25:19 2021 -0500

    whonix-repository-wizard -> repository-dist-wizard

commit bafc555505d1566037322bf5f25fc64f799fca11
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:22:51 2021 -0500

    whonix_repository -> repository-dist

commit f0fb313db63e62d478bb6650fc9786b660676f1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:10:07 2021 -0500

    whonix_repository -> repository-dist

commit a1342d3be89c455639bd9358038cfa2a661e5d5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 1 12:07:45 2021 -0500

    whonixsetup -> setup-dist

commit 925f0b66a9debaee4f4ed1dc563b39322597d35e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 09:56:18 2021 -0500

    bumped changelog version

commit 2b0e6730c95b84b35e50ad8a38bb9f28f32e70a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 09:56:17 2021 -0500

    readme

commit dbe279f39e7846b2a6fdfd6aebba517479192b85
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 07:08:46 2021 -0500

    whonixcheck -> systemcheck migration

commit 4d1d95a2e606118fd29d1b34fafedbfbb1fd62f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:53:42 2020 -0400

    bumped changelog version

commit 763ab7b9203985e14cea2496c511b573d02c09a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:42 2020 -0400

    readme

commit e56f5c3068f2345f591fa9765fa3da8a13b6e703
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:54:25 2020 +0000

    bumped changelog version

commit 7d41fe0f6adff7393178e5bf273f94482894de5a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:49:33 2020 +0000

    update

commit 0f9a745724b1cf29893a4ff7dbf99c5a9c186106
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:45:32 2020 +0000

    /root/.whonix.d/35_aptrepository_autogenerated outdated, removed

commit c94c598af79c3792da0f08a78946cac85158f171
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 08:12:04 2020 -0400

    bumped changelog version

commit 05f49b5a69cab32b1348616de3a0a283ca6a0b5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:23:07 2020 -0400

    readme

commit 2ff5b4d5b07bf16253ab1838896d824cb3698ec1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:35:01 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit 0e34a2d189b63791da9526223650ae2ce005f863
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:36 2020 -0400

    remove genmkfile

commit 05222f1648a04bccb30627edb7b819857cc80b20
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:34:23 2020 -0400

    add debian install file

commit 1b0df55faaa6be4f5e314abf4a2c325752840d1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:50 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 84eac72a14d64e58c8c460925c5ed19931913ea6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:50:36 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit aac6ac659d1ae279d685109b041da2e448eea9bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:43:15 2020 -0400

    change path to auto generated man pages

commit 21a8d5811c913279b620d0939cfad4ca22d611d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 11:15:20 2020 -0400

    bumped changelog version

commit 6d7e50ca74b56bb723a30a2ea975425d83627cac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:50:03 2020 -0400

    update copyright year

commit c39e9067e0acf19856d41ea701391fd3c40b8d8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:27:45 2020 -0400

    bumped changelog version

commit 2654e822eb74a0ba6ef7da63b1787dcfef7cdd31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 06:00:13 2020 -0400

    output

commit 8b8889e756aa3fb85d3c433eb2302de77843a74e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 27 04:55:22 2020 -0500

    bumped changelog version

commit cfbe31eda7ab90614e68a2691670bfc667a872ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 25 07:46:53 2020 -0500

    extend key

commit 106879f6a8fbab0445c961fc199385dcd7d6fce3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 10 11:47:38 2019 -0500

    bumped changelog version

commit 8f041ecc36f3de7877d72494ffa4e929f6916fe8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 10 09:48:47 2019 -0500

    remove Recommends: whonix-setup-wizard

commit 7ff07351a3d40833e51c4f228da34658f4e2903b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 12:54:12 2019 +0000

    bumped changelog version

commit 1c165b3804b60d94fb570d813519f6e661111e65
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:35:55 2019 +0000

    use properly override_dh_installman

commit 308d8c591ebbf587c5cfe5d3d97dcb81d9662a25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 10 06:39:10 2019 +0000

    bumped changelog version

commit 1085d0a2fb2f62a52299bf40b61fecfcc36eb2a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 10 02:29:08 2019 -0400

    lxsu -> lxsudo

commit 70f033567f386da4e34d90ed9ef94aba76b7455f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 12:15:28 2019 +0000

    bumped changelog version

commit 9f7ca105dc462c0be0b12541bffe4b761e747d11
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:49 2019 +0000

    readme

commit 3f62d9670eca614423f517df8cf081fdd9f11f19
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 30 07:17:47 2019 -0400

    bumped changelog version

commit bb46b2082b6113c226426df19606b527e67995b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 13:45:42 2019 +0000

    man page

commit 415df429cf82ad7854e9928f4c43cb30ddf35561
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 19:59:24 2019 +0000

    bumped changelog version

commit 8089a7de401ff6a014f09b7e1452fad202f7fb21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 17:24:25 2019 +0000

    output

commit 4a7f6afe3694193bf01162f2a153c58dfb345465
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 17:15:51 2019 +0000

    copyright

commit 789123f08c7a9b16cc56d4e31236e6355336d554
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:43:55 2019 +0000

    bumped changelog version

commit ff7774778f76c603836747bfe5736a11bf83ecdc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:39 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 8beb14f2782a2730c07a2b233f44b5ea5df021c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 6 07:16:12 2019 -0400

    tor+

commit 616e106335eb95de58dfcb81735570ebd4c104f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 21:07:07 2019 +0000

    bumped changelog version

commit 037a2f8a32d9091da48455a1d05a8bbaa47b4b83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:14 2019 -0400

    readme

commit 626bd3c439e9d8fe68ebcfdc81f0aa2005fd33bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:57:23 2019 +0000

    bumped changelog version

commit ed6da9a656288c0d48681bdd07630662fe94a3ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:46 2019 -0400

    update path to pre.bsh

commit 67c9d2bc9dff0b46758c9e87eec562f9ecdc9631
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:46:08 2019 +0000

    bumped changelog version

commit 3ca47d06972c3c659258e807224f6d397e4bd9bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:59 2019 +0000

    update

commit ae83b61e84768edd7464df58d7576f7172aaf786
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 15:25:53 2019 +0000

    bumped changelog version

commit 9dc137b2e5c6f18cb0764fd54a445ac4a14cdb6d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 11:19:58 2019 -0400

    output

commit 3476bab3966ce2be966b3bf667a36271f318a3a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 11:08:20 2019 -0400

    comment

commit bec908457b95265b607822ad03039534b7ae857b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 11:07:57 2019 -0400

    fix

commit fcf0b33716f39e5c9d1b709285a7dbd26871f74e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 11:07:32 2019 -0400

    refactoring

commit ec6c1a6fe849154aa6753190ae87c7e56f5cb62b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 11:07:03 2019 -0400

    protect if $codename_default_stable is empty

commit 7ffb002e741686a7576e4ca35bf1fbac9f9ef45e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 11:02:34 2019 -0400

    more robust codename detection

commit 5d62597120e166c0f7b8751216c9d03d1e4c91eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 10:39:08 2019 -0400

    use grep for better protection against codename being set to "n/a"

commit ecd782a6d330b48b6b94f3bedb1320c4aeb9d419
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 10:37:09 2019 -0400

    better protection against codename being set to "n/a"

commit c61a2a3cfae830771a028e9b8446e9d9623e328a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 17 10:36:07 2019 -0400

    refactoring; fix

commit 9826dc8bd3fc447be874c5ff2b4e6aac953e9c3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 17:05:42 2019 -0400

    bumped changelog version

commit 1308350b4dc12a0962b936b12cb4ae2769295153
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 16:29:27 2019 -0400

    If codename could not be set using lsb_release above, try to acquire it from /etc/debian_version.

commit 3d23535ad02aca634ef82b054cf78562430d58d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 13:08:34 2019 +0000

    bumped changelog version

commit b375f50cd6139eaffc8d9fd6169150fede04dcdc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:58:29 2019 +0000

    sudo

commit a3e74c6069aaff60b5bc3f95481ef92a1af566c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:58:02 2019 +0000

    sudo

commit 69b0eb09dcd4d2c000b491a29f581c19b18c50a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 06:29:54 2019 -0400

    output

commit 2105d88e0ad805bd536a30a0f2d495bf382aee68
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 13:07:06 2019 +0000

    bumped changelog version

commit 039a98513216b9c1e070bc196bb5fe93d1b35840
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:47:56 2019 +0000

    error out in case auto detected codename is "n/a"

commit 0f16fd56a6bfc3aa5dbc192975821277ebfbc5b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:25:28 2019 +0000

    bumped changelog version

commit 03f6172ca86d6390168ab891ea0cc633fdaaf387
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 10:53:30 2019 +0000

    sudo

commit 5a9b2e962fbdfcad56b3e685cea66d106b229f1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 10:21:17 2019 +0000

    sudo

commit 8a863bc59853fef670e8c072685825f895a1b49d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 17:03:50 2019 -0400

    gksudo

commit 44abc135c65078df5406fc61e78a81c4ee20a3fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 13:38:01 2019 -0400

    remove obsolete readme to fix lintian warning

commit fd3abd93c8297efae402b71e82afaa65595b8442
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:11 2019 -0400

    port to debian buster

commit 0445bec0b6ef158b9f3751574a618dc0b419f82e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:06:15 2019 -0400

    readme

commit dba4b1b20d0323c504c96b293a12c53c7fcfda86
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 10:15:54 2019 +0000

    bumped changelog version

commit 5872e836139ba3403fca1437367644b34154e9f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:22 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 852ad43e92fcf9e65de6e17ae88803139cf88284
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 13 21:14:18 2019 +0000

    bumped changelog version

commit 7d040890d8d85bb5fe06b3882cd3617ce07989f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 13 13:54:56 2019 +0000

    remove legacy handling of /etc/apt/trusted.gpg

    apt does not allow that anymore anyhow

    prevents a warning during upgrading

commit 9b59a47065cf7bf868e5748880b0fca072780beb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:49:24 2019 +0000

    bumped changelog version

commit 660c35a9471a195f7fb0dd11a383e20b61c8ee18
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:44 2019 +0000

    add improved legal protections clauses

    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.

    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:

    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.

    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding

    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 633ae98c0c1500ea4de00148b2b907c65dfc0075
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 23 04:54:03 2019 +0000

    bumped changelog version

commit b6d91da9f41dfd4c05d3f0a15f443362b734a71e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 23 04:53:19 2019 +0000

    fix; hardcode WHONIX_APT_REPOSITORY_BASEURI --baseuri

commit 09e785cd958c140801f348cc4de6fd2a248445c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 20 06:15:16 2019 +0000

    bumped changelog version

commit 903f0893182ecdbebd6eacd483f373940573e4bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 20 06:13:02 2019 +0000

    enable https by default

    https://phabricator.whonix.org/T721

commit f04391c5ad438732c5a9ae886b926530e277e9cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 19 23:58:50 2019 -0500

    disable onions by default due to unreliability

    https://forums.whonix.org/t/disable-onions-by-default-due-to-unreliability/6650

commit f390451c65741318dea50c19d4edba560e3d77c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 28 06:33:49 2018 +0000

    bumped changelog version

commit adf533cf58a88dace455e19efcc28c832d4188b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 17 13:08:13 2018 +0000

    comment

commit 14d12d5034d403f2fde78f16d3b13795e7bca743
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 17 13:00:28 2018 +0000

    silence warning: apt-key should not be used in scripts

    https://forums.whonix.org/t/warning-apt-key-should-not-be-used-in-scripts/6342

commit 4e22024e78562b3f8a8cc0328e78ed30c385ab08
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 14 13:14:58 2018 +0000

    bumped changelog version

commit 8d9ac0746ad9c7c144febb194c3c8ffcfb729d53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 14 06:47:03 2018 -0500

    create done file /var/cache/whonix-setup-wizard/status-files/whonix_repository.done

commit 1fe9aa7a9077113a82db35f05404dedeae4ab92f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 14 06:46:01 2018 -0500

    intend

commit 3bf682eb1362de6dcd0c864f6122f22d185ccfb7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 6 07:48:10 2018 +0000

    bumped changelog version

commit 416fd73f8a48f037dff19e057be1b4fd62eed33c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 6 07:41:07 2018 +0000

    main -> main contrib non-free

commit 14a968537b07bb819f2b3650e686e4643b8a0c1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 17:06:31 2018 +0000

    bumped changelog version

commit c48ac230519d73b96612485a97036cbc5fadcfaf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:56 2018 +0800

    readme

commit aa80806cbb115996420a1c09d2aa29807d392b2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 9 16:08:19 2018 +0000

    bumped changelog version

commit e6de603931735647aa69ab97202a8eb01589a42b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 8 10:26:21 2018 +0000

    fix mime type

commit 24f6479ec1c7015aa50aa2caf1a6d66aec28f429
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 8 10:24:22 2018 +0000

    code simplification, use apt-key rather than custom code for adding gpg key

    from /usr/share/whonix-repository/whonix.asc
    to /etc/apt/trusted.gpg.d/whonix.gpg

    by using

    apt-key --keyring "$apt_target_key" add "$apt_source_key"

commit 07d70e7a4395538b453a7264fbb0697309691a0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 18 14:09:04 2018 +0000

    bumped changelog version

commit 77fe16247c47e7e1d4c895294ee3bc996527d842
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 11 19:27:08 2018 +0000

    fix

commit 4c4758636a192aa4df2f455e838b2f68e49434a0
Merge: 49d62f8 c5071e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 11 20:18:13 2018 +0100

    Merge remote-tracking branch 'irykoon/master'

commit c5071e91e67b3b02b1a4e1815af62ffa52d1f190
Merge: d3add88 49d62f8
Author: irykoon <irykoon@gmail.com>
Date:   Sun Feb 11 18:11:27 2018 +0000

    Merge branch 'master' of https://github.com/Whonix/whonix-repository

commit d3add889bb341cfc59173219f8011d14fef53d2e
Author: irykoon <irykoon@gmail.com>
Date:   Sun Feb 11 18:07:01 2018 +0000

    Using shutil.which to find executable instead

commit 35f9778f1d00422388a1e68640ea30e6a43cab6a
Author: irykoon <irykoon@gmail.com>
Date:   Sun Feb 11 18:00:16 2018 +0000

    Switch to Python3 style formatting

commit 49d62f8c726295c9f541ae2eaa84dd7fb73801da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 13:54:24 2018 +0000

    bumped changelog version

commit be0f206b8add95612ea67b9e19cd673a28b24ef0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 14:41:21 2018 +0100

    fix, swap http and onion sources so onion sources are primary and http fallback

commit 9679dddda457fde6a44a6f88cbe78b1ad6348035
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:36:56 2018 +0000

    bumped changelog version

commit 31750db77420d91d4283ffe6186e849bfc5ca1a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:58 2018 +0000

    readme

commit 399e0104a7fb7a3b81e38f9e3ab9639fadcdd309
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:39:06 2018 +0000

    update copyright

commit a12413f520ffb51f07d0d9f2a79d28b113f91f20
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:15 2018 +0000

    update copyright

commit faaa3748aeb4da7e65e6ba6f23bccfd5e95b7399
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:27 2018 +0000

    update copyright

commit 094422bd8836ae945150f413911ea9f3114d5bde
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:52 2018 +0000

    update copyright

commit 435ef3ee224613525cb775ac0c634ebb3a895bb7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:44:37 2018 +0000

    bumped changelog version

commit 70e7d00a6935a6f50a9470fbd55d916140775374
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:42:17 2018 +0000

    move to v3 onion

commit a47f2f6bc4eb85a863d646c0885e9943927e2b89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 18 17:34:16 2018 +0000

    bumped changelog version

commit 18eada6f464c3591ba259048f5a80d35aa9506ec
Merge: 181ab20 56bf63b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 22:18:22 2018 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 56bf63b0b713806a06fc0e02b7de5e13d2592005
Author: troubadoour <trobador@riseup.net>
Date:   Fri Jan 12 21:57:17 2018 +0000

    change size of group box page 2

commit 181ab20990b40fff0c7bc77d338ccceb937adfae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 21:40:35 2018 +0000

    fix path

commit 436f2b0be87916708a13d49b2621c5c58ccb6cc0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 21:38:59 2018 +0000

    remove duplicate file

commit 8c47859da0205a278a48c66d0bda5d46a820d8e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 21:37:33 2018 +0000

    merge files

commit d64a0735dc775f7302863604add1c6b549d36945
Merge: 663645d cf0aecd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 21:34:45 2018 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 663645d933138c9853414200e29c785a3f315c68
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:14:02 2018 +0000

    bumped changelog version

commit 405cf2b7648b737c8d62172aa60259acbbb6139f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 15:47:04 2018 +0000

    delete no longer required etc/sudoers.d/whonix-repository-wizard

commit ab26015ce7ae9d0b422316d50a97831a0676ba42
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 15:46:43 2018 +0000

    fix path

commit 483015c1080877455cacd6222621f9a7b2316f58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 15:46:06 2018 +0000

    update for whonix-repository-wizard

commit 29a9f2c89c389513f737291dece8aca58ffda131
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 15:42:21 2018 +0000

    import usr/lib/whonix-repository/whonix-repository-wizard

commit 2c6ee97b53fc131884ac6a03ea6f510bb4e67295
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 15:31:41 2018 +0000

    renamed:    usr/share/applications/whonix_repository.desktop -> usr/share/applications/whonix-repository-wizard.desktop

    to avoid package conflicts during Whonix 13 -> 14 upgrade

commit 3a5ca900206ee9fa19495530b692a9135cc88f76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 15:17:49 2018 +0000

    adjust path

commit 30c8f32b114c977be3dc35bf39470bd8d4336405
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 15:16:55 2018 +0000

    import usr/share/applications/whonix_repository.desktop

    from whonix-setup-wizard

commit ea3bba700035b9478835836699eeec181c101d04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 14:59:08 2018 +0000

    add stable-proposed-updates repository

commit 632d5c2cf42c8b6b81e2942a303f010a62d640a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 14:54:59 2018 +0000

    use --repository rather than --codename

commit 0923b12a144cc67fd513feaea3ced3fd13de9aa0
Merge: e17521d b5353ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 14:51:04 2018 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit cf0aecd8c4f87f6bfa8a652d71a943514caa2c05
Author: troubadoour <trobador@riseup.net>
Date:   Thu Jan 11 22:02:01 2018 +0000

    GUI improvements
    window width, position of group box in first page

commit 2fbfcb4e60b7d56c2b27311ccc9a0ecfb3b46a81
Author: troubadoour <trobador@riseup.net>
Date:   Thu Jan 11 21:24:18 2018 +0000

    add usr/share/applications/whonix-repository-wizard.desktopX

commit 32fb2114b54e2f6ba392a3dc00825cf78fd28cc4
Author: troubadoour <trobador@riseup.net>
Date:   Thu Jan 11 20:47:55 2018 +0000

    add usr/lib/whonix-repository-wizard/whonix-repository-wizard
    implements "xhost +local:root" for virtualbox/kvm

commit e17521d98ab1e929b171c778b22b1e133bc9c26d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 6 15:08:14 2018 +0000

    bumped changelog version

commit 0379352ba2a9956c7843d3ac24ed190ce43f52a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 6 15:10:54 2018 +0100

    add missing dependency lsb-release

commit b5353aeb391bad37a18a4b6a64b033e8ae8f23fc
Author: troubadoour <trobador@riseup.net>
Date:   Tue Jan 2 21:48:03 2018 +0000

    add whonix-repository-wizard

commit a186e5710828afe0252a54b16d642e710e356463
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:31:41 2017 +0000

    bumped changelog version

commit 4bd06053eb619b6091dff0c991fe5e9d4b48c5f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 19:18:20 2017 +0100

    auto detect codename_default_stable

commit ef423fd0d04cd9f5fe3a827e584843cbebdb6d18
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 14:53:19 2017 +0000

    bumped changelog version

commit fec35f538359a40520b6d9adc75efeccfb82a0c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 14:49:47 2017 +0000

    jessie -> stretch

commit a77ae5b392f35549bd7c232e73f00d37dc631853
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 14:48:49 2017 +0000

    fix

commit 57623696d68d2075c1de193a0b023ee82222d1b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 14:46:50 2017 +0000

    developers -> stretch-developers

commit e9f8304b1599049f400bec2217ca4ebe0b108740
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 14:45:43 2017 +0000

    testers -> stretch-testers

commit dc4199705c0fa9fe73fcf123548fe3f4aa2a9b8f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 16:20:46 2017 +0000

    bumped changelog version

commit 8c15171884a2cdae31429bc8cde7f02078c5f436
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 14:52:16 2017 +0000

    "$@"

commit 30bb36ebcdfcf4e556fd6b43a21dd1889b474e69
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:17:45 2017 +0000

    bumped changelog version

commit 50fd0bd6e8a1377702c90b24319b1af3a7a8225c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:56 2017 +0000

    remove faketime from Build-Depends:

    since no longer used for reproducible builds

commit bf4179bc136484438045a4ad00756925aedd130f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:34 2017 +0000

    remove debian/gain-root-command workaround

commit f2ccc36322a36ed1de145d7b9e56c635656efbca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 18:39:26 2017 +0100

    bumped changelog version

commit 1a25dca9dcee0cb2481a3543e0b10c075d8649a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 18:37:07 2017 +0100

    fix, depend on gnupg2 rather than gnupg

commit 4edb80c52c53634bd4ba53edf6b44f04b217a879
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:35:04 2017 +0000

    bumped changelog version

commit 825381b0e98d63cd51f4fa642b49bf8f90d4b82d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:18:50 2017 +0000

    fix legacy removal from /etc/apt/trusted.gpg for gpg2 / stretch

commit b098e39b236d67453b68d214012e11ce204ba88b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:04:09 2017 +0000

    fixes for gpg2 / Debian stretch

commit 1584d14065cf4f14fcce77e9d387552e21c45711
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 13:24:53 2017 +0000

    use tor+http / apt-transport-tor rather than Acquire::BlockDotOnion "false";

    https://phabricator.whonix.org/T610

commit 86d1e06c83b95045c2d761d7c49e2a0659c2784b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 06:31:17 2017 +0100

    bumped changelog version

commit 8de40baa76eecb2228a73e10b4a2522cd2a47c7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 16 16:33:36 2017 +0100

    add missing build dependency ruby-ronn

commit 59080776110664f460a719bd7823afdf628eed71
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:39:27 2017 +0000

    bumped changelog version

commit f52928cfa7d379639667a274c9a9ff152878efc5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:53 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit c0da38d12324c1419e7a0663b017ec30c8521060
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:59:17 2017 +0000

    bumped changelog version

commit 93caaa8d2137eae0557d895aa1223434252c06cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 06:44:29 2017 +0000

    Migration from Whonix 13 jessie to stretch.

    Removing legacy key entry 2EEACCDA from /etc/apt/trusted.gpg.

    Readd as /etc/apt/trusted.gpg.d/whonix.gpg.

    https://forums.whonix.org/t/updating-whonix-from-jessie-to-stretch-migration-to-gnome-shell-port-to-gnome-ish-applications

commit 0be9e499d6308167de04bf7f89bc27d1753c7417
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 05:26:15 2017 +0000

    fix for Debian stretch
    no longer used apt-key (since apt-key warns against use in maintainer scripts)
    refactoring
    output
    update patrick.asc (fix, new rather than old key
    fix dependency, gpg -> gnupg

commit b35f3ee94facc3c30c8588b30b10331b21e2d98a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 7 22:33:46 2017 +0000

    rename patrick.asc -> whonix.asc

commit d617f1f8a38593e972cf6135d30cba3f22455283
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 7 22:20:47 2017 +0000

    fail open in case gpg_tmp folder deletion fails

    It fails in Debian stretch for a unknown reason.
    Failing open because deletion of that temp folder is not that important.
    (Will be deleted after reboot anyhow.)

commit 4017462c186ff714e9d4bf6add0999639be2f788
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 7 22:20:29 2017 +0000

    debugging

commit 4aad275d5942bf2060c94e0e8d93023f256ac297
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 7 22:19:39 2017 +0000

    depend on gpg since stretch requires that

commit bdd3e265529e43bd65d78d15938b7af60bd3cf54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 7 22:10:06 2017 +0000

    minor

commit 01fb4752b34406dda757f1d0d924e29451075294
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 7 22:07:37 2017 +0000

    update patrick.asc (more signatures only)

commit a348952a419084c85d217a73ce27df7987d42980
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 31 16:46:38 2016 +0000

    show more useful error message when no option is given

    Thanks to TNT_BOM_BOM for the suggestion!

    https://forums.whonix.org/t/sudo-whonix-repository-doesnt-work

commit 780a47d0a1356b28258fc98b92496f9bfc890124
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:41:31 2016 +0000

    bumped changelog version

commit ce17ce4aeb5befc816dc78c04f083f878ac462d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:44:16 2016 +0000

    readme

commit 231198f47005c03b93ad425918b3134c13184329
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 19 00:24:24 2016 +0000

    additionally add Whonix onion deb repository

    support multi lined WHONIX_APT_REPOSITORY_BASEURI

commit 460757e78d0f3036d205b19b99a6f06ee40962cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 2 11:53:31 2016 +0000

    do not use tput if variable TERM is empty

    https://phabricator.whonix.org/T505

commit d8618a037be58e58dab7fe21b745bb22267aaf1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 19 22:03:03 2016 +0000

    bumped changelog version

commit 37c6ec8850f331193c1d3f44fde5b887434d3301
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 19 21:59:09 2016 +0000

    fix

commit ed14543287c6cb06de05719a3455ae901ae8fed0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 19 21:55:17 2016 +0000

    output

commit fa403eabe700ab43309f1761ab192fc02da1c350
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 19 19:44:44 2016 +0000

    bumped changelog version

commit 04ba12a77526191ec507fd25dbcd1dba641b2123
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 18 21:25:55 2016 +0000

    update signing key during upgrading

    postinst: removed extrartenous 'exit 0'

commit d253d364332ca70a422d0aabbfe75caee865bcff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 18 19:30:33 2016 +0200

    extended Whonix signing key

commit 4477d2971fa351b0135dbb5a80838efadacea06e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 14 23:12:43 2016 +0000

    update, Recommends: whonix-repository-wizard -> whonix-setup-wizard

commit 6bcc8f24588fdfe239fa901ba1e02602ad6b8778
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:59 2016 +0000

    bumped changelog version

commit dbfb7a99856386dd7d087f645cbf8375345c0e7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 31 00:42:53 2016 +0000

    implemented stable-proposed-updates

    https://phabricator.whonix.org/T200

commit 44c23f1669ee447b99e873fa94dd970ff94baa47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 21 13:52:52 2016 +0100

    move to whonix.org repository

    https://phabricator.whonix.org/T475

commit 1b5808dd9c0d1258e8d3f7a2bf5f3fdcfe93b3c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:12:44 2015 +0000

    bumped changelog version

commit 15149be8ba155cf4e45708efe25a5d98e16da13e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 5 14:44:35 2015 +0000

    fix

commit ff9305c11ea3d184b44079719345bf97ebbf6729
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 27 00:20:17 2015 +0000

    minor

commit ad41a777f3574c58878b6b3348a6e9c3f2e846c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 23:32:01 2015 +0000

    bumped changelog version

commit f2e36a90714a3ef99a0e786784460495820ff1ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 18:11:11 2015 +0000

    - There was a bug. During upgrade, it reverted from developers or testers repository to jessie repository. Fixed by radical simplification to make the package more maintainable.
    - Deprecated environment variables.
    - Deprecated config files.
    - Removed dialog based cli graphical user interface. Use 'kdesudo whonix-setup-wizard repository" instead. (Start menu entries already existing.)

commit ccc97ccecda973bf6a760c1c0d32a3ebe015f720
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:08:36 2015 +0000

    bumped changelog version

commit 54dc7e3de3b83366e26b8e1cf0c23f81028ad1a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 15:00:43 2015 +0000

    bumped changelog version

commit 287f43bd2189350f0975d0829aca61ad7800a6ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:57:14 2015 +0000

    bumped changelog version

commit bb7918a52fa5f46fb8208627e3d810e32413bc3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:32 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit af3685da843b8cc4af03b6c6bc22dfc4f905b100
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:18:41 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit 1e1a2f9498d2dd1162f4748847d3d07c0bad8861
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 22 15:51:21 2015 +0000

    bumped changelog version

commit e8ed98b658559f6b4194bf90365183d2d3db05ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 22 15:51:03 2015 +0000

    changed release codename from wheezy to jessie - https://phabricator.whonix.org/T270

commit 6bbd626eae06456cc386bec3fd5029dc67b9809c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:43:15 2015 +0000

    bumped changelog version

commit 21475cb81882d598c63503ba4d21ef386572ce51
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 17:35:30 2015 +0000

    add WHONIX_APT_REPOSITORY_BASEURI to auto generated configuration file

commit 5577a3dda1577362c0475d368a3bea2f53ba4a0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 17:31:48 2015 +0000

    made baseuri (WHONIX_APT_REPOSITORY_BASEURI) configurable through --baseuri command line parameter

commit fa4621e7b54b8114d4b33ad6c4ce473de0a0abd9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 17:28:16 2015 +0000

    moved Whonix APT Repository default baseuri from http://sourceforge.net/projects/whonixdevelopermetafiles/files/internal/ to http://mirror.whonix.de/whonixdevelopermetafiles/internal/

commit 3d7dbd91f53a516292e11b24181e1daae380e862
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 17:23:23 2015 +0000

    refactoring - https://phabricator.whonix.org/T54

commit 20ed8bd9346c1310fda477a006cb8aafacfd41ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:43 2015 +0000

    added genmkfile to Build-Depends

commit 5484e6acaee4ad2c27c431512faee6f2ba4fdd83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:47:01 2015 +0000

    updated debian/rules for makefile generic to version 1.5

commit 1ceefaeb65e5e6d34d1c39b7b021e1afed2ccec8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:57 2015 +0000

    updated makefile generic to version 1.5

commit 9ab154c6bbbc76d8a11c643bdaeb46ad2d0bf643
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:37:13 2015 +0000

    bumped changelog version

commit d3278475d87a0d881446f380f6ef14ed33c0e708
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:27:03 2015 +0000

    updated makefile generic to version 1.4

commit 1582750193c5ef3fd48d56500a26a6cc80d03ae4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 20 15:20:27 2015 +0000

    bumped changelog version

commit 3ad1a999dcf93cbe6e197ee8da116af8edf66e33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 12:15:26 2015 +0000

    refactoring

commit 27c8f77e4cb96e6fcf2dfad4dd34f183ae77fe7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 12:11:11 2015 +0000

    implemented --repository to fix "whonix-setup-wizard repository - code names issue - stable vs wheezy" - https://phabricator.whonix.org/T232

commit 18cc260948770986daf17d85b26553536aa604c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 11:57:21 2015 +0000

    refactoring

commit c76ec53402962c5648645e215c57963858ac92a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 04:26:02 2015 +0000

    maintainer script output

commit 15162bc26291ca9ececb1412546e13805c60219f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:46 2015 +0000

    bumped changelog version

commit 28f6bf917be98092735a09b5f3f14d4d235623d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:45:08 2015 +0000

    added changelog.upstream

commit 5c698e91b00250d8cb946cecde5513a8c5971475
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:41:02 2015 +0000

    updated makefile generic to version 1.3

commit 79285423d566dd0f01a188f9b48af142224efe38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:59:02 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 4659bc073c2f8cbb76faeb7b57004208849f8c6d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 00:28:11 2015 +0000

    no longer prepand path /usr/bin/ to fix linitan warning

commit 631df70f92a3dd6b02b731127361932bd8ff81a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 12:24:41 2015 +0000

    fix

commit 17c02dd9776883604a3f152e40c79ddc147beffb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 12:21:08 2015 +0000

    postinst script, show output of whonix_repository tool for better transparency

commit 19ba1bbc3680d69689105b09ff6a243d8b8805e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 12:14:30 2015 +0000

    postinst script, only enable bash -x, if xtrace has been enabled

commit f048f73146cb4ec0ee6f6f9f302089699d784f5a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:35:04 2015 +0000

    bumped compat from 8 to 9

commit b32e54a6e4fdd6a913d211721bc5d660f7a0c303
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 5 19:01:31 2014 +0000

    updated generic makefile

commit 8430c86df0072d67b0aa1d189fc696d3142a986e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 6 08:51:39 2014 +0000

    removed desktop icon, recommend whonix-repository-wizard

commit 8cbcb39e7fd6d7d032ff75eb4fddb2842e2fae72
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 4 10:43:38 2014 +0000

    output

commit 614aa46b544c74527ad2022d7b751f7cd6cdca77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 4 10:35:49 2014 +0000

    output

commit 81c0a75766003639484a0d0fbc6e792330bc386c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 4 10:32:46 2014 +0000

    output

commit 3c98277383707273540be2ce1d1f74c10d309f57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 4 10:26:44 2014 +0000

    intent

commit 53d96728d0102c140e797452c2fa77093ff76c82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 22:35:35 2014 +0000

    makefile: refactoring, avoid using IFS

commit 38bdc446b76c5186cde800ae14466315c63fdc30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 21:10:30 2014 +0000

    fix root_check

commit 245cccd585c33d2a1c3539d73e678b761cc0f9f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 01:58:55 2014 +0000

    makefile:
    - make debdist; make undebdist
    - cleanup
    - refactoring

commit 077a9c67e5691e952b3f4650e3a4ffb5c27ee1c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 23 22:43:06 2014 +0000

    makefile:
    - new target "make undist", which deletes the upstream tarball
    - $DISTDIR variable for make (un)dist, which defaults to ".." and can be used to create upstream tarballs in arbitrary locations
    - refactoring, all function names and global variables now start with "make_" to make the script `source`ing friendly
    - made `source`able

commit 45af246c7654f4b2f8fc1c6937556fdf61cc798c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 13 12:37:00 2014 +0000

    readme

commit 639b58f84e9ff5779fd834e577251dbc9cab4b15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 9 23:08:07 2014 +0000

    updated /usr/share/whonix/whonix-news-keys.d/patrick.asc

commit 0a2d07549966ef17a3a66b27fdc1affa5ecc666c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 30 15:04:56 2014 +0000

    use wheezy rather than stable as per https://www.whonix.org/forum/index.php/topic,445.msg3640.html

commit 410be5fae4fe6db7010172b0044f3724a8741dee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 26 01:08:50 2014 +0000

    whonix-repository tool: fix, clean up temporary directory

commit 455bcdac3a0d44da321e0ee2363f5de2c8f15677
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 19 18:52:47 2014 +0000

    makefile: added new feature "make deb-chl-bumpup" - Bump upstream version number in debian/changelog.

commit 711cff45156b786502f968c4d6234f21ab521739
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:54:29 2014 +0000

    Updated debian/changelog.

commit 95e2b1d3d0e5cfd42bccc4f732381d183224aab9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:47:31 2014 +0000

    Fixed changelog date.

commit 82b60bd2721138e75a60be91b4b4effdbf84a1c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 18:03:34 2014 +0000

    bump version number

commit 90430ba061f30a7a2562079dcd7cd5ce4917dbed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 14 13:35:22 2014 +0000

    Implemented make deb-icup: Combination of make deb-pkg, make deb-pkg-install and make deb-pkg-cleanup.

commit 5598968333b296efa9130b6ef26d578ea91ef75c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 12:42:31 2014 +0000

    packaging

commit 0a58c16e0e1d73b072834150d1c0ac75de326fce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 04:01:17 2014 +0000

    packaging

commit ffe5ed6adc255403b313d247d793d180262f6edc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:26:42 2014 +0000

    packaging

commit 1d4d42ddd9dedd350b8e8c614350c345a42b138c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:16:09 2014 +0000

    packaging: removed build dependency on git, since the .git folder won't be included in the upstream tarball.

commit 61f89ef287f17521113720cde138670269b9149e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:32:03 2014 +0000

    packaging

commit d577d012abbb770ce6b1cc2332713d0d464dc5d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:11:05 2014 +0000

    packaging

commit d46f3f4d8021970035be4630113c742cd3214680
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 15:34:22 2014 +0000

    packaging

commit ac94de77427776273aa693be41f26ed7280e26f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 13:31:40 2014 +0000

    quotes

commit 105b24182d34b341820e926c5ed3f3c764ab4354
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 13:28:57 2014 +0000

    use $BASH_SOURCE instead of $0

commit f9e71edc835eba3aa607698f344cf19fcff8b8c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 11:55:47 2014 +0000

    sanity tests

commit f5b4c0f7a860fab19fd71cb01da13cfe0635b458
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 5 08:11:02 2014 +0000

    Bumped debian revision number to avoid lintian warning "new-package-should-close-itp-bug" so we can use lintian --fail-on-warnings as sanity test.

commit 1577df6aded8e3502ea27d8ba5d47f83262fa617
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 27 15:39:40 2014 +0000

    use the newer lock instead of the older box logo to have a different icon than whonixcheck

commit f3f79edd6d23ba4151772576843e2f30bea14d73
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 24 15:45:15 2014 +0000

    added debian epoch; added dotglob

commit 02b4cd210af4a2d91422eff446ae36283c6e7892
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 24 12:40:34 2014 +0000

    comments

commit b8b484bdb54d3595ee3244125a7e4b7648dc770f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 23 10:05:05 2014 +0000

    fix paths

commit 9a01d79a44c7f0592410e471f5893e32ce3dbe1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 12 14:51:26 2014 +0000

    packaging

commit a21b63bd133f03ba96bcd4da61008f4540a7998d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 18:27:41 2014 +0000

    readme

commit 556da10420db8c21390f5dd4c19654258091a8f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 1 15:38:59 2014 +0000

    readme

commit 9b0f243dfcf117f671305dc52ab27cb011643a90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 31 14:01:02 2014 +0000

    initial import from https://github.com/Whonix/Whonix
